Status: Resolved Priority: Should have
Author: Nicole Cordes Category:
Updated: 2015-01-30 Due date:
TYPO3 Version: 7
PHP Version:
Complexity:
Is Regression: No
Sprint Focus: On Location Sprint
Subject: Several unit tests fail under Windows system
Description

In the current master some unt tests fail because of different pathes or file handlung under Windows systems. I attached a screen for
the non Windows users.

Subtasks:
Bug # 64409: Failing unit tests on windows because of symlinks Resolved
Bug # 64644: Failling unit test in GeneralUtilityTest for Windows system Resolved
Bug # 64651: Failling unit test in DatabaseConnectionTest Resolved
Bug # 64656: Failing unit tests due to wrong path handling Resolved
Bug # 64657: Failing unit test in SqlSchemaMigrationServiceTest on Windows systems Resolved
Bug # 64661: DateValidator fails to validate incorrect dates Resolved

History
#1 - 2012-08-21 20:37 - Michael Stucki

We obviously lack more programmers with a Windows server.

May I invite you to try to fix some of the issues yourself, and provide the patches to us?

See http://wiki.typo3.org/Contribution_Walkthrough_Tutorials

If you need further help, let me know.

#2 - 2012-09-22 00:53 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14896

#3 - 2012-09-22 01:02 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14896

#4 - 2012-10-22 18:03 - Nicole Cordes
Still errors in:

TYPO3\CMS\Core\Tests\Functional\Category\Collection\CategoryCollectionTest
TYPO3\CMS\Core\Tests\Unit\Resource\Driver\LocalDriverTest
TYPO3\CMS\Core\Tests\Unit\Utility\File\ExtendedFileUtilityTest

TYPO3\CMS\Dbal\Tests\DatabaseGeneralTest
TYPO3\CMS\Dbal\Tests\DatabaseOracleTest

TYPO3\CMS\Frontend\Tests\Unit\ContentObject\ContentObjectRendererTest

#5 - 2014-06-12 15:01 - Alexander Opitz
- Status changed from Under Review to New
- Target version deleted (6.0.0)
- Is Regression set to No

Hi Nicole,

you abandoned the patch and mentioned that this is fixed in several other patches. So close this issue?

#6 - 2014-12-15 17:59 - Wouter Wolters
- Status changed from New to Closed

No feedback within the last 90 days => closing this issue.

If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and
an explanation or open a new ticket and add a relation to this ticket number.

#7 - 2015-01-29 13:13 - Nicole Cordes
- Status changed from Closed to In Progress
- TYPO3 Version changed from 6.0 to 7

Re-opened as there are still some tests failing on Windows system. WIP

#8 - 2015-01-30 20:42 - Christian Kuhn
- Status changed from In Progress to Resolved
- Sprint Focus set to On Location Sprint

all done now :)
